## coda 0.4-6

=== DESCRIPTION ===
Package: coda
Version: 0.4-6
Author: S original by Nicky Best, Kate Cowles and Karen Vines
	R port by Martyn Plummer <plummer@iarc.fr>
Description: Output analysis and diagnostics for Markov Chain
	Monte Carlo simulations.
Depends:
License: GPL Version 2 or later.

## coda 0.4-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coda
-Version: 0.4-6
+Version: 0.4-7
 Author: S original by Nicky Best, Kate Cowles and Karen Vines
 	R port by Martyn Plummer <plummer@iarc.fr>
 Description: Output analysis and diagnostics for Markov Chain

## coda 0.5-1

=== DESCRIPTION ===
Package: coda
Version: 0.5-1
Date: 2000/02/17
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer <plummer@iarc.fr>, Nicky Best, Kate Cowles, Karen Vines
Depends: R (>= 0.99), ts
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/

## coda 0.5-3

=== DESCRIPTION ===
Package: coda
Version: 0.5-3
Date: 2000/05/31
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer <plummer@iarc.fr>, Nicky Best, Kate Cowles, Karen Vines
Depends: R (>= 1.0)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/

## coda 0.5-5

=== DESCRIPTION ===
Package: coda
Version: 0.5-5
Date: 2001/05/17
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.2)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/

## coda 0.5-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-5
-Date: 2001/05/17
+Version: 0.5-6
+Date: 2001/06/08
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.5-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-6
-Date: 2001/06/08
+Version: 0.5-7
+Date: 2001/07/23
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.5-8

=== DESCRIPTION ===
Package: coda
Version: 0.5-8
Date: 2001/11/29
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.4)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/

## coda 0.5-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-8
-Date: 2001/11/29
+Version: 0.5-10
+Date: 2001/12/18
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.5-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-10
-Date: 2001/12/18
+Version: 0.5-11
+Date: 2002/5/23
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.5-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-11
-Date: 2002/5/23
+Version: 0.5-12
+Date: 2002/6/24
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.5-14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-12
-Date: 2002/6/24
+Version: 0.5-14
+Date: 2003/1/16
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.5-15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coda
-Version: 0.5-14
-Date: 2003/1/16
+Version: 0.5-15
+Date: 2003/4/29
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
 Maintainer: Martyn Plummer <plummer@iarc.fr>

## coda 0.6-1

=== DESCRIPTION ===
Package: coda
Version: 0.6-1
Date: 2003/12/03
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.8)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/

## coda 0.6-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coda
-Version: 0.6-1
+Version: 0.6-2
 Date: 2003/12/03
 Title: Output analysis and diagnostics for MCMC
 Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines

## coda 0.7-1

=== DESCRIPTION ===
Package: coda
Version: 0.7-1
Date: 2004/03/30
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Mon Apr  5 10:32:00 2004; martyn

## coda 0.7-2

=== DESCRIPTION ===
Package: coda
Version: 0.7-2
Date: 2004/04/21
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Thu Apr 22 09:19:44 2004; martyn

## coda 0.8-1

=== DESCRIPTION ===
Package: coda
Version: 0.8-1
Date: 2004/07/23
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Thu Jul 29 10:37:49 2004; martyn

## coda 0.8-2

=== DESCRIPTION ===
Package: coda
Version: 0.8-2
Date: 2004/08/02
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Mon Aug  2 16:35:18 2004; martyn

## coda 0.8-3

=== DESCRIPTION ===
Package: coda
Version: 0.8-3
Date: 2004/08/06
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Fri Aug  6 11:39:09 2004; martyn

## coda 0.9-1

=== DESCRIPTION ===
Package: coda
Version: 0.9-1
Date: 2004/12/20
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Mon Dec 20 12:22:23 2004; martyn

## coda 0.9-2

=== DESCRIPTION ===
Package: coda
Version: 0.9-2
Date: 2005/1/4
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Thu Feb  3 16:31:42 2005; martyn

## coda 0.9-4

=== DESCRIPTION ===
Package: coda
Version: 0.9-4
Date: 2005/4/28
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Thu Apr 28 10:45:16 2005; martyn

## coda 0.9-5

=== DESCRIPTION ===
Package: coda
Version: 0.9-5
Date: 2005/5/4
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 1.9)
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations.
License: GPL Version 2 or later.
URL: http://www-fis.iarc.fr/coda/
Packaged: Wed May  4 14:51:50 2005; martyn

## coda 0.10-1

=== DESCRIPTION ===
Package: coda
Version: 0.10-1
Date: 2005-11-07
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Mon Nov  7 13:24:29 2005; deepayan

## coda 0.10-2

=== DESCRIPTION ===
Package: coda
Version: 0.10-2
Date: 2005-11-10
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Thu Nov 10 18:19:02 2005; martyn

## coda 0.10-3

=== DESCRIPTION ===
Package: coda
Version: 0.10-3
Date: 2005-12-16
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Fri Dec 16 13:47:28 2005; deepayan

## coda 0.10-4

=== DESCRIPTION ===
Package: coda
Version: 0.10-4
Date: 2006-03-06
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Mon Mar  6 18:15:07 2006; martyn

## coda 0.10-5

=== DESCRIPTION ===
Package: coda
Version: 0.10-5
Date: 2006-03-27
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Mon Mar 27 10:18:20 2006; martyn

## coda 0.10-6

=== DESCRIPTION ===
Package: coda
Version: 0.10-6
Date: 2006-03-27
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Wed Jul 26 18:25:25 2006; martyn

## coda 0.10-7

=== DESCRIPTION ===
Package: coda
Version: 0.10-7
Date: 2006-08-29
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.2.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Tue Oct 10 19:04:16 2006; martyn

## coda 0.11-1

=== DESCRIPTION ===
Package: coda
Version: 0.11-1
Date: 2007-05-23
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Wed May 23 11:08:06 2007; martyn

## coda 0.11-2

=== DESCRIPTION ===
Package: coda
Version: 0.11-2
Date: 2007-06-04
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Mon Jun  4 11:33:42 2007; martyn

## coda 0.11-3

=== DESCRIPTION ===
Package: coda
Version: 0.11-3
Date: 2007-07-24
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL Version 2 or later.
Packaged: Tue Jul 24 12:16:48 2007; martyn

## coda 0.13-1

=== DESCRIPTION ===
Package: coda
Version: 0.13-1
Date: 2007-12-11
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL (>= 2)
Packaged: Tue Dec 11 18:03:26 2007; martyn

## coda 0.13-2

=== DESCRIPTION ===
Package: coda
Version: 0.13-2
Date: 2008-05-16
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL (>= 2)
Packaged: Fri May 16 15:44:33 2008; martyn

## coda 0.13-4

=== DESCRIPTION ===
Package: coda
Version: 0.13-4
Date: 2009-01-25
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL (>= 2)
Packaged: Sun Jan 25 21:32:17 2009; martyn

## coda 0.13-5

=== DESCRIPTION ===
Package: coda
Version: 0.13-5
Date: 2010-03-19
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
        Carlo simulations.
License: GPL (>= 2)
Packaged: 2010-03-19 10:15:39 UTC; martyn
Repository: CRAN
Date/Publication: 2010-03-19 12:57:10

## coda 0.14-2

=== DESCRIPTION ===
Package: coda
Version: 0.14-2
Date: 2010-12-08
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummer@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
        Carlo simulations.
License: GPL (>= 2)
Packaged: 2010-12-08 13:41:18 UTC; martyn
Repository: CRAN
Date/Publication: 2010-12-09 11:29:20

## coda 0.14-4

=== DESCRIPTION ===
Package: coda
Version: 0.14-4
Date: 2011-05-20
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummerM@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
        Carlo simulations.
License: GPL (>= 2)
Packaged: 2011-05-20 11:16:02 UTC; martyn
Repository: CRAN
Date/Publication: 2011-05-20 12:41:27

## coda 0.14-5

=== DESCRIPTION ===
Package: coda
Version: 0.14-5
Date: 2011-11-02
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummerM@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL (>= 2)
Packaged: 2011-11-02 15:23:57 UTC; martyn
Repository: CRAN
Date/Publication: 2011-11-03 11:48:07

## coda 0.14-6

=== DESCRIPTION ===
Package: coda
Version: 0.14-6
Date: 2011-11-04
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummerM@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
  Carlo simulations. 
License: GPL (>= 2)
Packaged: 2011-11-04 16:12:18 UTC; martyn
Repository: CRAN
Date/Publication: 2011-11-04 20:14:10

## coda 0.14-7

=== DESCRIPTION ===
Package: coda
Version: 0.14-7
Date: 2012-04-02
Title: Output analysis and diagnostics for MCMC
Author: Martyn Plummer, Nicky Best, Kate Cowles, Karen Vines
Maintainer: Martyn Plummer <plummerM@iarc.fr>
Depends: R (>= 2.5.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
        Carlo simulations.
License: GPL (>= 2)
Packaged: 2012-04-02 09:19:00 UTC; martyn
Repository: CRAN
Date/Publication: 2012-04-02 17:47:24

## coda 0.15-1

=== DESCRIPTION ===
Package: coda
Version: 0.15-1
Date: 2012-07-17
Title: Output analysis and diagnostics for MCMC
Authors@R: c(person("Martyn", "Plummer", role=c("aut","cre","trl"),
        email="plummerm@iarc.fr"), person("Nicky", "Best", role="aut"),
        person("Kate", "Cowles", role="aut"), person("Karen", "Vines",
        role="aut"), person("Deepayan", "Sarkar", role="aut"),
        person("Russell", "Almond", role="ctb"))
Depends: R (>= 2.14.0), lattice
Description: Output analysis and diagnostics for Markov Chain Monte
        Carlo simulations.
License: GPL (>= 2)
Packaged: 2012-07-17 15:47:20 UTC; martyn
Author: Martyn Plummer [aut, cre, trl], Nicky Best [aut], Kate Cowles
        [aut], Karen Vines [aut], Deepayan Sarkar [aut], Russell Almond
        [ctb]
Maintainer: Martyn Plummer <plummerm@iarc.fr>
Repository: CRAN
Date/Publication: 2012-07-17 20:06:30

## coda 0.15-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coda
-Version: 0.15-1
+Version: 0.15-2
 Date: 2012-07-17
 Title: Output analysis and diagnostics for MCMC
 Authors@R: c(person("Martyn", "Plummer", role=c("aut","cre","trl"),
@@ -11,10 +11,10 @@
 Description: Output analysis and diagnostics for Markov Chain Monte
         Carlo simulations.
 License: GPL (>= 2)
-Packaged: 2012-07-17 15:47:20 UTC; martyn
+Packaged: 2012-07-24 14:26:50 UTC; martyn
 Author: Martyn Plummer [aut, cre, trl], Nicky Best [aut], Kate Cowles
         [aut], Karen Vines [aut], Deepayan Sarkar [aut], Russell Almond
         [ctb]
 Maintainer: Martyn Plummer <plummerm@iarc.fr>
 Repository: CRAN
-Date/Publication: 2012-07-17 20:06:30
+Date/Publication: 2012-07-24 15:11:43

## coda 0.17-1

=== DESCRIPTION ===
Package: coda
Version: 0.17-1
Date: 2015-03-02
Title: Output Analysis and Diagnostics for MCMC
Authors@R: c(person("Martyn", "Plummer", role=c("aut","cre","trl"),
       	            email="plummerm@iarc.fr"),
             person("Nicky", "Best", role="aut"),
             person("Kate", "Cowles", role="aut"),
             person("Karen", "Vines", role="aut"),
             person("Deepayan", "Sarkar", role="aut"),
	     person("Douglas", "Bates", role="aut"),
             person("Russell", "Almond", role="aut"))
Depends: R (>= 2.14.0)
Imports: lattice
Description: Provides functions for summarizing and plotting the
	output from Markov Chain Monte Carlo (MCMC) simulations, as
	well as diagnostic tests of convergence to the equilibrium
	distribution of the Markov chain.
License: GPL (>= 2)
Packaged: 2015-03-03 17:21:11 UTC; martyn
Author: Martyn Plummer [aut, cre, trl],
  Nicky Best [aut],
  Kate Cowles [aut],
  Karen Vines [aut],
  Deepayan Sarkar [aut],
  Douglas Bates [aut],
  Russell Almond [aut]
Maintainer: Martyn Plummer <plummerm@iarc.fr>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-03 19:25:43

## coda 2.18.3

=== CMakeLists.txt ===
# CMake configuration file for CODA.
#
project(CODA)

set(VERSION 2.18.3)
set(CODA_VERSION \"${VERSION}\")

# General setup
#
cmake_minimum_required(VERSION 2.6.0)
set(CMAKE_MODULE_PATH
  ${CODA_SOURCE_DIR}/CMakeModules
  ${CMAKE_MODULE_PATH}
  CACHE INTERNAL "Local CMake modules")
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckTypeSize)
include(TestBigEndian)
include(CMakeDependentOption)

# Use RelWithDebInfo as default target 
#
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# Option handling
#
option(CODA_BUILD_SUBPACKAGE_MODE "build CODA as sub-package" OFF)
option(CODA_BUILD_IDL "build IDL interface" OFF)
option(CODA_BUILD_MATLAB "build MATLAB interface" OFF)
option(CODA_BUILD_PYTHON "build Python interface" OFF)
option(CODA_WITH_HDF4 "use HDF4" OFF)
option(CODA_WITH_HDF5 "use HDF5" OFF)
cmake_dependent_option(
  CODA_ENABLE_HDF4_VDATA_ATTRIBUTES "enable HDF4 Vdata attributes" ON
  CODA_WITH_HDF4 ON)

# The following is done because in CMake options are always
# ON/OFF only, but for config.h substition we need something with
# value 1.
#
if(CODA_ENABLE_HDF4_VDATA_ATTRIBUTES)
  set(ENABLE_HDF4_VDATA_ATTRIBUTES 1)
endif(CODA_ENABLE_HDF4_VDATA_ATTRIBUTES)

# Some autoconf variables that CMake does not use itself, but
# that are used in the config file substitutions.
#
set(PACKAGE_NAME \"${CMAKE_PROJECT_NAME}\")
string(TOLOWER ${PACKAGE_NAME} PACKAGE)
set(PACKAGE_VERSION ${CODA_VERSION})
string(REPLACE "\"" "" PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_STRING \"${PACKAGE_STRING}\")
set(VERSION \"${VERSION}\")
set(PACKAGE_TARNAME ${PACKAGE})
set(PACKAGE_BUGREPORT \"\")

# Global compilation settings
#
if(CMAKE_COMPILER_IS_GNUCC)
  set(GNU_WARNING_FLAGS "-W -Wall -Wextra")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GNU_WARNING_FLAGS}")
  if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
  endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
endif(CMAKE_COMPILER_IS_GNUCC)

# hdf
#
if(CODA_WITH_HDF4)

  find_package(HDF4)

  if(NOT HDF4_FOUND)
    message(FATAL_ERROR "HDF4 libraries and/or header files are not found. Try setting the HDF4_LIBRARY_DIR and HDF4_INCLUDE_DIR cmake variables to the location of your HDF4 library and include files.")
  else(NOT HDF4_FOUND)
    set(HAVE_HDF4 1)
    include_directories(${HDF4_INCLUDE_DIR})
  endif(NOT HDF4_FOUND)

endif(CODA_WITH_HDF4)


if(CODA_WITH_HDF5)

  find_package(HDF5)

  if(NOT HDF5_FOUND)
    message(FATAL_ERROR "HDF5 libraries and/or header files are not found. Try setting the HDF5_LIBRARY_DIR and HDF5_INCLUDE_DIR cmake variables to the location of your HDF5 library and include files.")
  else(NOT HDF5_FOUND)
    set(HAVE_HDF5 1)
    include_directories(${HDF5_INCLUDE_DIR})
  endif(NOT HDF5_FOUND)

endif(CODA_WITH_HDF5)


# *** xml ***
#
set(XML_NS 1)
set(XML_DTD 1)
set(XML_LARGE_SIZE 1)
set(XML_CONTEXT_BYTES 1024)
set(CODA_EXPAT_NAME_MANGLE 1)


# Lex / Yacc
find_package(BISON)
find_package(FLEX)

BISON_TARGET(coda-expr-parser ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/coda-expr-parser.y ${CMAKE_CURRENT_BINARY_DIR}/libcoda/coda-expr-parser.c)
FLEX_TARGET(coda-expr-tokenizer ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/coda-expr-tokenizer.l ${CMAKE_CURRENT_BINARY_DIR}/lex.yy.c)
add_flex_bison_dependency(coda-expr-tokenizer coda-expr-parser)

# Required include files
#
set(INCLUDES "")

macro(find_include FILE VARIABLE)
  CHECK_INCLUDE_FILE(${FILE} ${VARIABLE})
  if(${VARIABLE})
    set(INCLUDES ${INCLUDES} ${FILE})
  endif(${VARIABLE})
endmacro(find_include)

find_include(dirent.h HAVE_DIRENT_H)
find_include(dlfcn.h HAVE_DLFCN_H)
find_include(export.h HAVE_EXPORT_H)
find_include(inttypes.h HAVE_INTTYPES_H)
find_include(memory.h HAVE_MEMORY_H)
find_include(stdint.h HAVE_STDINT_H)
find_include(stdlib.h HAVE_STDLIB_H)
find_include(strings.h HAVE_STRINGS_H)
find_include(string.h HAVE_STRING_H)
find_include(sys/mman.h HAVE_SYS_MMAN_H)
find_include(sys/socket.h HAVE_SYS_SOCKET_H)
find_include(sys/stat.h HAVE_SYS_STAT_H)
find_include(sys/types.h HAVE_SYS_TYPES_H)
find_include(unistd.h HAVE_UNISTD_H)

set(CMAKE_EXTRA_INCLUDE_FILES ${INCLUDES})

# Required functions
#
check_function_exists(bcopy HAVE_BCOPY)
check_function_exists(floor HAVE_FLOOR)
check_function_exists(getpagesize HAVE_GETPAGESIZE)
check_function_exists(malloc HAVE_MALLOC)
check_function_exists(memmove HAVE_MEMMOVE)
check_function_exists(mmap HAVE_MMAP)
check_function_exists(pread HAVE_PREAD)
check_function_exists(realloc HAVE_REALLOC)
check_function_exists(stat HAVE_STAT)
check_function_exists(strcasecmp HAVE_STRCASECMP)
check_function_exists(strdup HAVE_STRDUP)
check_function_exists(strerror HAVE_STRERROR)
check_function_exists(strncasecmp HAVE_STRNCASECMP)
check_function_exists(vsnprintf HAVE_VSNPRINTF)

if(WIN32)
  # Hardcode settings for Windows
  set(HAVE_STRDUP 1)
  set(HAVE_STRCASECMP 1)
  set(HAVE_STRNCASECMP 1)
  set(HAVE_VSNPRINTF 1)
endif(WIN32)


# Required types (and their sizes)
#
check_symbol_exists(uchar "${INCLUDES}" HAVE_UCHAR)
set(UCHAR "unsigned char")
check_symbol_exists(size_t "${INCLUDES}" HAVE_SIZE_T)
set(SIZE_T "long")
check_symbol_exists(ptrdiff_t "${INCLUDES}" HAVE_PTRDIFF_T)
set(PTRDIFF_T "int")

check_type_size(size_t SIZEOF_SIZE_T)
check_type_size(off_t SIZEOF_OFF_T)
check_type_size(double SIZEOF_DOUBLE)
check_type_size(float SIZEOF_FLOAT)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)
check_type_size(short SIZEOF_SHORT)

test_big_endian(WORDS_BIGENDIAN)

if(HAVE_STDLIB_H AND HAVE_STDDEF_H)
  set(STDC_HEADERS 1)
endif(HAVE_STDLIB_H AND HAVE_STDDEF_H)
if(NOT HAVE_SYS_TYPES_H)
  set(NO_SYS_TYPES_H 1)
endif(NOT HAVE_SYS_TYPES_H)
if(NOT HAVE_STRERROR)
  set(NO_STRERROR 1)
endif(NOT HAVE_STRERROR)

set(CODA_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}/libcoda
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/libcoda
  CACHE INTERNAL "Include directories for the CODA library")

include_directories(${CODA_INCLUDE_DIRS})

# Required libraries
#
if(NOT WIN32)
# Only on Unix -- Windows does not need this, and the CMake
# people explicitly recommend just special-casing the platform
# through 'if'.
  find_library(LIBM_LIBRARY m)
  mark_as_advanced(LIBM_LIBRARY)
endif(NOT WIN32)

# The Doxyfile uses some autoconf variables CMake does not have.
# We set them here manually, so that we can use the same .in
# file for both autoconf and cmake
#
set(top_builddir ${CMAKE_BINARY_DIR})
set(top_srcdir ${CMAKE_SOURCE_DIR})
set(srcdir ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/doc)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/doc/Doxyfile.in
  ${CMAKE_CURRENT_BINARY_DIR}/libcoda/doc/Doxyfile)


if(MSVC)
# Suppress warnings from VC on deprecated POSIX names
add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
endif(MSVC)

# libcoda sources
#
set(LIBCODA_SOURCES
  libcoda/coda-ascbin-cursor.c
  libcoda/coda-ascbin.h
  libcoda/coda-ascii-cursor.c
  libcoda/coda-ascii-internal.h
  libcoda/coda-ascii.c
  libcoda/coda-ascii.h
  libcoda/coda-bin-cursor.c
  libcoda/coda-bin-internal.h
  libcoda/coda-bin.c
  libcoda/coda-bin.h
  libcoda/coda-cdf-cursor.c
  libcoda/coda-cdf-internal.h 
  libcoda/coda-cdf-type.c
  libcoda/coda-cdf.c
  libcoda/coda-cdf.h
  libcoda/coda-check.c
  libcoda/coda-cursor-read.c
  libcoda/coda-cursor.c
  libcoda/coda-definition-parse.c
  libcoda/coda-definition.c
  libcoda/coda-definition.h
  libcoda/coda-detection.c
  libcoda/coda-errno.c
  libcoda/coda-expr.c
  libcoda/coda-expr.h
  libcoda/coda-filefilter.c
  libcoda/coda-filefilter.h
  libcoda/coda-grib-cursor.c
  libcoda/coda-grib-internal.h
  libcoda/coda-grib-type.c
  libcoda/coda-grib.c
  libcoda/coda-grib.h
  libcoda/coda-internal.h
  libcoda/coda-mem-cursor.c
  libcoda/coda-mem-internal.h
  libcoda/coda-mem-type.c
  libcoda/coda-mem.c
  libcoda/coda-mem.h
  libcoda/coda-netcdf-cursor.c
  libcoda/coda-netcdf-internal.h
  libcoda/coda-netcdf-type.c
  libcoda/coda-netcdf.c
  libcoda/coda-netcdf.h
  libcoda/coda-path.h
  libcoda/coda-product.c
  libcoda/coda-read-array.h
  libcoda/coda-read-bits.h
  libcoda/coda-read-bytes.h
  libcoda/coda-read-bytes-in-bounds.h
  libcoda/coda-read-partial-array.h
  libcoda/coda-rinex.c
  libcoda/coda-rinex.h
  libcoda/coda-sp3.c
  libcoda/coda-sp3.h
  libcoda/coda-swap2.h
  libcoda/coda-swap4.h
  libcoda/coda-swap8.h
  libcoda/coda-time.c
  libcoda/coda-transpose-array.h
  libcoda/coda-tree.c
  libcoda/coda-tree.h
  libcoda/coda-type.c
  libcoda/coda-type.h
  libcoda/coda-utils.c
  libcoda/coda-xml-internal.h
  libcoda/coda-xml-parser.c
  libcoda/coda-xml.c
  libcoda/coda-xml.h
  libcoda/coda.c
  libcoda/hashtable.c
  libcoda/hashtable.h
  libcoda/ipow.h
  libcoda/ziparchive.c
  libcoda/ziparchive.h
  ${BISON_coda-expr-parser_OUTPUTS}
  ${FLEX_coda-expr-tokenizer_OUTPUTS})

set(LIBCODA_HDF4_FILES
  libcoda/coda-hdf4-cursor.c
  libcoda/coda-hdf4-internal.h
  libcoda/coda-hdf4-type.c
  libcoda/coda-hdf4.c
  libcoda/coda-hdf4.h)

if(CODA_WITH_HDF4)
  set(LIBCODA_SOURCES ${LIBCODA_SOURCES} ${LIBCODA_HDF4_FILES})
endif(CODA_WITH_HDF4)


set(LIBCODA_HDF5_FILES
  libcoda/coda-hdf5-cursor.c
  libcoda/coda-hdf5-internal.h
  libcoda/coda-hdf5-type.c
  libcoda/coda-hdf5.c
  libcoda/coda-hdf5.h)

if(CODA_WITH_HDF5)
  set(LIBCODA_SOURCES ${LIBCODA_SOURCES} ${LIBCODA_HDF5_FILES})
endif(CODA_WITH_HDF5)


if(NOT CODA_BUILD_SUBPACKAGE_MODE)

  # fortran

  set(fortran_DATA
    fortran/Makefile
    fortran/coda.inc
    fortran/coda_fortran.c
    fortran/example.f)

  set(fortran_SCRIPTS fortran/checkf77.sh)

  # idl
  
  if(CODA_BUILD_IDL)
  
    # If not in cache, try from environment
    if(NOT IDL_DIR)
      if($ENV{IDL_DIR} MATCHES ".+")
        file(TO_CMAKE_PATH $ENV{IDL_DIR} IDL_DIR)
      endif($ENV{IDL_DIR} MATCHES ".+")
    endif(NOT IDL_DIR)
  
    if(IDL_DIR)
      set(IDL_DIR ${IDL_DIR} CACHE STRING "Root directory of an IDL installation" FORCE)
      if(WIN32)
        set(IDL_INSTALL_DIR idl)
      else()
        set(IDL_INSTALL_DIR lib/idl)
      endif()
  
      if(WIN32)
        set(IDL_COMPILE_FLAGS "-nologo -I. -I${CODA_BINARY_DIR} -I${CODA_SOURCE_DIR}/libcoda -DWIN32_LEAN_AND_MEAN -DWIN32 -DHAVE_CONFIG_H -DIDL_V5_4")
        set(IDL_LIBDIR "${IDL_DIR}/bin/bin.x86/")
        set(IDL_LIB "${IDL_LIBDIR}/idl.lib")
        set(IDL_LINK_FLAGS "/EXPORT:IDL_Load,@1")
      else(WIN32)
        if(APPLE)
          set(IDL_LINK_FLAGS "${IDL_LINK_FLAGS} -undefined dynamic_lookup")
        endif(APPLE)
      endif(WIN32)
  
      set(IDL_INCLUDE_DIR "${IDL_DIR}/external")
      include_directories(${IDL_INCLUDE_DIR})
  
      set(CODA_IDL_SOURCES idl/coda-idl.c)
      set_source_files_properties(${CODA_IDL_SOURCES}
        PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} ${IDL_COMPILE_FLAGS}")
      # Visual Studio does not like targets with a dash in the
      # name, hence coda_idl rather than coda-idl.
      add_library(coda_idl MODULE ${CODA_IDL_SOURCES})
      target_link_libraries(coda_idl coda_static ${HDF4_LIBRARIES} ${HDF5_LIBRARIES} ${IDL_LIB})
      set_target_properties(coda_idl
        PROPERTIES LINK_FLAGS "${IDL_LINK_FLAGS}"
        OUTPUT_NAME "coda-idl"
        PREFIX "")
      
      install(TARGETS coda_idl DESTINATION ${IDL_INSTALL_DIR})
  
      configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/idl/coda-idl.dlm.in
        ${CMAKE_CURRENT_BINARY_DIR}/idl/coda-idl.dlm)
      
      install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/idl/coda-idl.dlm 
        DESTINATION ${IDL_INSTALL_DIR})
  
    else(IDL_DIR)
      message(FATAL_ERROR "IDL not found. Try setting the IDL_DIR environment or CMake variable to the root directory of an IDL installation.")
    endif(IDL_DIR)
  
  endif(CODA_BUILD_IDL)
  
  
  # matlab
  
  if(CODA_BUILD_MATLAB)
  
    # If not in cache, try from environment
    if(NOT MATLAB_DIR)

=== debian/changelog ===
coda (2.18.3-1) unstable; urgency=medium

  * Initial release. (Closes: #888576)
  * Resubmited with:
    - Additional copyright information for doc/html/*
    - jquery.js sources in debian/missing-sources
    - Set maintainer as Debian-Science, AMcK as uploader

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 May 2018 09:36:23 +0000

=== debian/control ===
Source: coda
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
Uploader: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 11), 
 dh-buildinfo, 
 dh-python,
 python3-all,
 python3-numpy,
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, 
 libaec-dev,
 libpcre3-dev,
 libexpat1-dev,
 libhdf4-alt-dev,
 python3-all-dev,
 zlib1g-dev,
 swig,
 default-jdk-headless
Standards-Version: 4.1.4
Homepage: https://github.com/stcorp/coda
Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
Vcs-Git: https://salsa.debian.org:/science-team/coda.git

Package: coda
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda14 ( = ${binary:Version})
Recommends: python3-coda
Description: Common Data Access framework for Earth science
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcoda14
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for the Common Data Access framework for Earth science
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.

Package: libcoda-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcoda14 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the CODA framework for Earth sciences
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains files needed to develop C and Fortran programs 
 against CODA.

Package: libcoda-java
Section: java
Architecture: all
Multi-Arch: foreign
Depends: libcoda-jni (>= ${binary:Version}), ${misc:Depends}, ${java:Depends}
Description: Java interface for Common Data Access Framework
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Java files needed to use the CODA framework.

Package: libcoda-jni
Section: java
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcoda-dev (= ${binary:Version}), ${shlibs:Depends}
Description: Java Native interface for Common Data Access Framework
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Java Native Interface (JNI) needed to use CODA.

Package: python3-coda
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python:Provides}
Description: Python3 interface for CODA science formats library
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Python3 wrappera to use the CODA framework.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with python3

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libcoda-dev.links libcoda14.links libcoda-jni.install

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
else
  WITH_HDF5:=--with-hdf5=/usr
endif

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	./configure --prefix=/usr --libdir=$(LIBDIR) \
		--enable-java \
		--enable-python \
		--with-hdf4 \
		$(WITH_HDF5) \
		PYTHON=python3 \
		JAVA_HOME='/usr/lib/jvm/default-java' \
		HDF4_INCLUDE=/usr/include/hdf

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.la' -delete

override_dh_auto_clean:
	rm -f config.log
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean

## coda 2.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 project(CODA)
 
-set(VERSION 2.18.3)
+set(VERSION 2.19)
 set(CODA_VERSION \"${VERSION}\")
 
 # General setup

=== debian/changelog ===
coda (2.19-2build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 11:40:48 +0100

coda (2.19-2) unstable; urgency=medium

  * Ensure Coda linked with hdf5.
  * Ensure Makefile in examples is M-A safe for libcoda-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Nov 2018 14:55:39 +0000

coda (2.19-1) unstable; urgency=medium

  * New upstream release
  * Drop xz source compression option
  * Standards-Version: 4.2.1
  * Allow dh_auto_clean to fail due to missing files
  * Disable dependency tracking in configure. Closes: #913490

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Nov 2018 09:49:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
-Uploader: Alastair McKinstry <mckinstry@debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 11), 
  dh-buildinfo, 
  dh-python,
@@ -18,7 +18,7 @@
  zlib1g-dev,
  swig,
  default-jdk-headless
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with python3

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libcoda-dev.links libcoda14.links libcoda-jni.install

HDF5_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	./configure --prefix=/usr --libdir=$(LIBDIR) \
		--disable-dependency-tracking \
		--enable-java \
		--enable-python \
		--with-hdf4 \
		--with-hdf5 \
		PYTHON=python3 \
		JAVA_HOME='/usr/lib/jvm/default-java' \
		HDF4_INCLUDE=/usr/include/hdf \
		HDF5_INCLUDE=$(HDF5_DIR)/include \
		HDF5_LIB=$(HDF5_DIR)/lib

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.la' -delete

override_dh_auto_clean:
	rm -f config.log
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean || true
